Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030427
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformtrivialhave not tried2015-07-26 14:492015-08-06 08:07
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revision08f447bbcf10
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030427: Cleanup useless ant targets in src-db/database/build-create.xml

DescriptionThat xml files i used only in create.database.

For historical reasons it now has several not useful internal targets which should be removed to cleanup ant output a bit.

- preimport & postimport are completely empty delete them
  Long time create structure + import data were 2 seperate parts that is a leftover of that
- prepare.database just calls 1 other target (depending on db type) just inline that into the single caller
- delete all *.DB2 internal tasks
  Adding db2 support is an abandoned effort from very long time ago and 90% of
  it is missing so not useful at all. Also can be easily resurrected from scm history is that is needed in future.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0079104)
hgbot (developer)
2015-07-28 15:21

Repository: erp/devel/pi
Changeset: 08f447bbcf1043427ff0a050d2fdccb84b6744a1
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sun Jul 26 14:55:07 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/08f447bbcf1043427ff0a050d2fdccb84b6744a1 [^]

Fixed 30427: Cleanup src-db/database/build-create.xml

Remove unused preimport + postimport
Remove prepare.database, inline content into caller
Remove never parts of never completed DB2 port

---
M src-db/database/build-create.xml
---
(0079208)
alostale (developer)
2015-08-06 08:07

code reviewed

tested: created db in ora and pg

- Issue History
Date Modified Username Field Change
2015-07-26 14:49 shuehner New Issue
2015-07-26 14:49 shuehner Assigned To => shuehner
2015-07-26 14:49 shuehner Modules => Core
2015-07-26 14:49 shuehner Triggers an Emergency Pack => No
2015-07-28 15:21 hgbot Checkin
2015-07-28 15:21 hgbot Note Added: 0079104
2015-07-28 15:21 hgbot Status new => resolved
2015-07-28 15:21 hgbot Resolution open => fixed
2015-07-28 15:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/08f447bbcf1043427ff0a050d2fdccb84b6744a1 [^]
2015-07-28 15:22 shuehner Review Assigned To => alostale
2015-08-06 08:07 alostale Note Added: 0079208
2015-08-06 08:07 alostale Status resolved => closed
2015-08-06 08:07 alostale Fixed in Version => 3.0PR15Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker